Skip to main content
GET
/
business_metrics
/
{business_metric_token}
/
forecasted_values
Get business metric forecasted values
curl --request GET \
  --url https://api.vantage.sh/v2/business_metrics/{business_metric_token}/forecasted_values \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/business_metrics/{business_metric_token}/forecasted_values"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/business_metrics/{business_metric_token}/forecasted_values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "values": [
    {
      "date": "2025-01-03T00:00:00Z",
      "amount": "300.0"
    },
    {
      "date": "2025-01-02T00:00:00Z",
      "amount": "200.0"
    },
    {
      "date": "2025-01-01T00:00:00Z",
      "amount": "100.0"
    }
  ]
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_metric_token
string
required

Query Parameters

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

start_date
string<date>

Query BusinessMetrics by the first date you would like to filter from. ISO 8601 Formatted - 2021-07-15

Response

BusinessMetricValues model

values
object[]
required